| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iTextureFactory Struct Reference
[3D]

Interface to a texture factory. More...

`#include <itexture/itexfact.h>`

Inheritance diagram for iTextureFactory:

[legend]
List of all members.

## Public Member Functions
virtual csPtr< iTextureWrapper > | Generate ()=0
| Generate a new texture with the selected parameters.
virtual void | GetSize (int &w, int &h)=0
| Get the size of the texture to be created.
virtual iTextureType * | GetTextureType () const =0
| Get the TextureType for this texture factory.
virtual void | SetSize (int w, int h)=0
| Set the size of the texture to be created.

## Detailed Description

Interface to a texture factory.

Textures need to know their size at creation time; this information can be taken from an image or explicitly specified.

Definition at line 41 of file itexfact.h.

## Member Function Documentation

virtual csPtr<iTextureWrapper> iTextureFactory::Generate | ( |  | ) | `[pure virtual]`

Generate a new texture with the selected parameters.

virtual void iTextureFactory::GetSize | ( | int & | w,
|  | int & | h |
| ) |  |  | `[pure virtual]`

Get the size of the texture to be created.

Implemented in csBaseTextureFactory.

virtual iTextureType* iTextureFactory::GetTextureType | ( |  | ) | const`[pure virtual]`

Get the TextureType for this texture factory.

Implemented in csBaseTextureFactory.

virtual void iTextureFactory::SetSize | ( | int | w,
|  | int | h |
| ) |  |  | `[pure virtual]`

Set the size of the texture to be created.

Implemented in csBaseTextureFactory.

The documentation for this struct was generated from the following file:

- itexture/itexfact.h